MADDR(1)

NAME
maddr - extract mail addresses from messages

SYNOPSIS
maddr [-ad] [-h headers] [msgs ...]

DESCRIPTION
maddr prints, separated by newlines, all mail addresses found in the headers of the specified msgs. (See mmsg(7) for the message argument syntax.)

If no msgs are specified and maddr is used interactively, maddr will operate on the current sequence by default. Otherwise, maddr will read filenames from the standard input.

The options are as follows:

-a  Only print the addr-spec address, not the display name.

-d  Only print the display name.

-h headers
    Only search the colon-separated list of headers for mail addresses. Default: ‘from:sender:reply-to:to:cc:bcc:’ and their respective ‘resent-’ variants, if any.

EXIT STATUS

SEE ALSO
mmsg(7)

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
maddr is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/